<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="MyWorktableIndex.aspx.cs"
    Inherits="PowerEasy.Module.General.WebSite.Admin.Profile.MyWorktableIndex" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>我的工作台</title>
    <style type="text/css">
        .mytest
        {
            float: left;
        }
    </style>
    <script type="text/javascript">
        function hideWidget(obj, widgetid, evt) {
            jQuery.post('WidSeting.aspx', "<?xml version='1.0' encoding='utf-8'?><root><type>hideWidget</type><widgetid>" + widgetid + "</widgetid></root>", function (s) {
                var status = jQuery("status", s).text();
                if (status == "err") {
                    alert(jQuery("body", s).text());
                } else {
                    var newobj = jQuery(obj).parent().parent();
                    jQuery(newobj).find("div[class='content']").hide();
                    jQuery(obj).parent().find("a[class='widget_show']").replaceWith("<a class=\"widget_show\" href=\"javascript:\" onMouseDown=\"javascript:showWidget(this,'" + widgetid + "',event);\" title=\"\u8FD8\u539F\">\u8FD8\u539F</a>");
                }
            });
            var e = (evt) ? evt : window.event;
            if (window.event) {
                e.cancelBubble = true;
            } else {
                e.stopPropagation();
            }
        }

        function showWidget(obj, widgetid, evt) {
            jQuery.post('WidSeting.aspx', "<?xml version='1.0' encoding='utf-8'?><root><type>showWidget</type><widgetid>" + widgetid + "</widgetid></root>", function (s) {
                var status = jQuery("status", s).text();
                if (status == "err") {
                    alert(jQuery("body", s).text());
                } else {
                    var newobj = jQuery(obj).parent().parent();
                    jQuery(newobj).find("div[class='content']").show();
                    jQuery(obj).parent().find("a[class='widget_show']").replaceWith("<a class=\"widget_show\" href=\"javascript:\" onMouseDown=\"javascript:hideWidget(this,'" + widgetid + "',event);\" title=\"\u6700\u5C0F\u5316\">\u6700\u5C0F\u5316</a>");
                }
            });
            var e = (evt) ? evt : window.event;
            if (window.event) {
                e.cancelBubble = true;
            } else {
                e.stopPropagation();
            }
        }

        function OpenLink(FileName_Left, FileName_Right) {
            if (parent.document.getElementById("left").src != FileName_Left) {
                parent.document.getElementById("left").src = FileName_Left;
            }
            parent.document.getElementById("main_right").src = FileName_Right;
        }
    </script>
</head>
<body id="MasterPagebody">
    <form id="form1" runat="server">
    <div style="width:98.4%">
        <asp:ScriptManager ID="ScriptMyWorktable" runat="server" EnablePartialRendering="true">
            <Services>
                <asp:ServiceReference Path="~/WebServices/GetSystemDiagnostics.asmx" />
            </Services>
        </asp:ScriptManager>
        <table border="0" cellpadding="2" cellspacing="2" width="100%">
            <tr>
                <td align="right">
                    <pe:ExtendedLiteral ID="ELtr" runat="server" HtmlEncode="false"></pe:ExtendedLiteral>
                    <asp:Button ID="Button1" runat="server" Text="设置" OnClick="Button1_Click" CssClass="inputbutton" />
                </td>
            </tr>
        </table>
    </div>
    <div>
        <pec:WidgetZone ID="WidgetZone1" runat="server" />
        <div style="clear: both;">
        </div>
        <div id="CheckSysTime" style="color: Red; float: left; width: 100%; padding-left: 5px;"
            runat="server">
            <asp:Label ID="CheckSysTimeMessage" runat="server"></asp:Label>
        </div>
    </div>
    </form>
</body>
</html>
